Bug 202913 - Review Request: perl-POE-Component-Server-SOAP - Publish POE event handlers via SOAP over HTTP
Review Request: perl-POE-Component-Server-SOAP - Publish POE event handlers v...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/POE-Compo...
:
Depends On: 202910
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-16 20:41 EDT by Chris Weyl
Modified: 2013-05-07 09:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 20:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-16 20:41:49 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-SOAP-1.09-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-SOAP.spec

Description:
This module makes serving SOAP/1.1 requests a breeze in POE.
Comment 1 Jason Tibbitts 2006-08-18 13:25:49 EDT
cpanspec makes reviewing new package requests a breeze in Extras....

* source files match upstream:
   dcda3222ea8cf981c2aace003aa33733  POE-Component-Server-SOAP-1.09.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Server::SOAP) = 1.09
   perl(POE::Component::Server::SOAP::Response) = 1.02
   perl-POE-Component-Server-SOAP = 1.09-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(POE)
   perl(POE::Component::Server::SOAP::Response)
   perl(POE::Component::Server::SimpleHTTP)
   perl(SOAP::Lite)
   perl(base)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=2,  0 wallclock secs ( 0.14 cusr +  0.04 csys =  0.18 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.

APPROVED
Comment 2 Chris Weyl 2006-08-18 20:47:20 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)
Comment 3 Petr Šabata 2013-05-07 05:51:47 EDT
Package Change Request
======================
Package Name: perl-POE-Component-Server-SOAP
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2013-05-07 09:00:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.